#ifndef BASE_H
#define BASE_H

/***************************************************************************
Base.h
Comment:  This file contains all basic definitions.
***************************************************************************/

// STL includes
#include <iostream>

// Qt includes
#include <QApplication>
#include <QFileDialog>
#include <QKeyEvent>
#include <QMainWindow>
#include <QPainter>

// local includes
#include "CColor.h"
#include "Point3.h"
#include "Timer.h"

//-----------------------------------------------------------------------------
/** Point3 with double coordinates. */
typedef Point3 < double > Point3d;


#endif